<?php
/*
 * Created on 10.03.2012
 * Oliver Soop(osoop1@ut.ee)
 */
 include_once("../database/RSSDatabaseService.php");
 include_once("../crawler/MainCrawler.php");
 class CrawlDatabaseFeeds {
 	
 	/**
 	 * Meetod, mis käivitab andmebaasis olevate url-ide roomamise
 	 */
 	public static function start() {
 		$res = RSSDatabaseService::getRSSFeedUrls();
 		foreach($res as $url) {
 			$crawler = new MainCrawler($url, null);
 			
 			$crawler->crawl();
 			
 			RSSDatabaseService::setCrawlDateToCurrent($url);
 		}
 	}
 }
?>
